## viewvc 1.0.3

=== elemx/Makefile ===
TARGETS = python/elx-python java/elx-java

all : $(TARGETS)

CFLAGS = -g -Wpointer-arith -Wwrite-strings -Wshadow -Wall
CPPFLAGS = -Ipython -Ijava -I.

# the scanner depends on tokens generated from python.y
python/scanner.c : python/python.c

# the keywords also need the tokens in python.h
python/py_keywords.c : python/python.c

# we need the scanner tokens in py_scan.h and keywords in py_keywords.h
python/elx-python.o : python/elx-python.c python/py_keywords.c

# we need java.[ch] generated first to get the tokens in java.h
java/j_scan.c : java/java.c java/j_keywords.c

# the keywords also need the tokens in java.h
java/j_keywords.c : java/java.c

# we need the scanner tokens in j_scan.h and keywords in j_keywords.h
java/elx-java.o : java/elx-java.c java/j_keywords.c java/java.c


python/elx-python : python/elx-python.o python/scanner.o python/python.o \
			python/py_keywords.o elx-common.o
	$(CC) -o $@ $^

java/elx-java : java/elx-java.o java/j_scan.o java/java.o java/j_keywords.o \
			elx-common.o
	$(CC) -o $@ $^

clean :
	rm -f *.o
	rm -f python/*.o python/python.[ch] python/py_keywords.[ch]
	rm -f java/*.o java/java.[ch] java/j_keywords.[ch] java/j_scan.[ch]
	rm -f python/*.output java/*.output
	rm -f $(TARGETS)

.SUFFIXES:
.SUFFIXES: .c .y .shilka .o

%.c : %.y
	@d="`echo $@ | sed 's/\.c//'`" ; \
	echo msta -d -enum -v -o $$d $< ; \
	msta -d -enum -v -o $$d $<

%.c : %.shilka
	@d="`echo $@ | sed 's,/[^/]*$$,,'`" ; \
	f="`echo $< | sed 's,.*/,,'`" ; \
	echo shilka -length -no-definitions -interface $$f ; \
	(cd $$d && shilka -length -no-definitions -interface $$f)

## viewvc 1.1.22

=== debian/changelog ===
viewvc (1.1.22-1) unstable; urgency=medium

  * New upstream release (closes: #614509).  Main changes since last release
    (1.1.5) are:
    - Improved root look and SVN cache performance.
    - New 'max_filesize_kbytes' and 'binary_mime_types' configuration options.
    - Tarball generation improvements.
    - File content handling improvements.
    - Miscellaneous cvsdb improvements.
    - Add Basic authentication support to standalone.py.
    - The charset detection code is more robust.
    - Remote SVN views are now more performant and robust.
    - Added support for custom revision log markup rules.
    - Use Pygments lexer-guessing functionality.
    - Fixed a lot of bugs in corner cases.
  * I'm not able to see any problems with TypeError, so closes: #706096.
    Please reopen if it keeps happening.
  * There was a problem in the migration code from viewcvs into viewvc, but by
    now everyone is in viewvc 1.1, so I'm sad to say that this finally closes:
    #409864, #410273, #410324.
  * This release ships two new binaries in each package: a WSGI and a FCGI
    additionally to the normal CGI program, to give you any possible option.
  * debian/control:
    - Removed ancient Replaces and Conflicts with versions 8-10 years old.
    - Added Vcs-* fields.
    - Bumped Standards-Version to 3.9.5.
    - Rewritten Descriptions for both packages to reflect that now we ship 3
      binaries.
    - Add Depends on python, dh-python.
  * debian/patches:
    - Removed numbers from patches, remnants from the dpatch era, and appended
      .patch suffix.
    - Added DEP-3 headers to all of them.
    - Patches rev2369, rev2547, rev2551, compression-content-length,
      CVE-2012-3356, CVE-2012-3357 and CVE-2012-4533: Merged upstream.
    - Remaining patches are resynced against current tree.
    - shebang_wsgi_scripts.patch: Added to get rid of lintian warnings.
  * debian/rules: Rewritten from scratch with latest abstractions in mind,
    trying to mimic the old behavior.
  * debian/NEWS: Removed.
  * debian/source/format: Moved to 3.0 (quilt).
  * debian/compat: Bumped to 9, modified debian/control.
  * debian/watch: Added.

 -- David Martínez Moreno <ender@debian.org>  Thu, 10 Jul 2014 21:42:45 +0200

viewvc (1.1.5-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2012-4533: Fix XSS in commit message view. Found and patch provided
    by Nicolás Alvarez (closes: #69106).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 23 Oct 2012 08:19:39 +0000

viewvc (1.1.5-1.3) unstable; urgency=low

  * Non-maintainer upload.

  [ gregor herrmann ]
  * [SECURITY] Fix "CVE-2012-3356 / CVE-2012-3357":
    - CVE-2012-3356: * security fix: complete authz support for remote SVN views
    - CVE-2012-3357: * security fix: log msg leak in SVN revision view with
                     unreadable copy source
    Add patches "CVE-2012-3356" and "CVE-2012-3357", taken from upstream svn.
    (Closes: #679069)

  [ Ben Hutchings ]
  * view_query: No longer allow an undocumented URL parameter to
    override the admin-declared SQL row limit, which could result
    in excessive CPU usage and memory consumption (CVE-2009-5024)
    (Closes: #671482)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 14 Oct 2012 20:12:07 +0000

viewvc (1.1.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "viewvc runs extremely slowly (~15s per page)":
    backport upstream commit r2471 as new patch compression-content-length:
    don't set Content-Length when compression is used.
    (Closes: #636805)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Aug 2012 16:21:49 +0200

viewvc (1.1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backporting oneliner fix from version 1.1.6, r2369,
    (escape): Ensure that the input is string-ified before doing string
    transformations on it. (Closes: #601805)
    Thanks to Tom Albers.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 30 Oct 2010 12:12:36 +0200

viewvc (1.1.5-1) unstable; urgency=medium

  [ John Zaitseff ]
  * New upstream release (closes: #532611, #575777, #575787, #576307).  This
    solves CVE-2010-0004, CVE-2010-0005, CVE-2010-0736 and CVE-2010-0132.
  * Extensive rewrite of files in the debian directory.  Updated to Debian
    policy 3.8.4, updated all control files to Debhelper 7, rewrote
    debian/rules for clarity (and to use Debhelper 7).
  * Removed all references to Debconf, as previous versions of this
    package violated Debian policy (section 10.7.3): /etc/viewvc/viewvc.conf
    is a conffile, and maintainer scripts must NOT modify it at any time.
  * Reorganised the installation files in /usr/lib/viewvc.  The CGI
    programs are now links to files in /usr/lib/viewvc/cgi-bin.
  * Packaged the Apache mod-python modules for optional use (in
    /usr/lib/viewvc/mod-python).  See README.Debian for more information.
  * Moved the static help documentation ("docroot") from /usr/share/viewvc
    to /usr/share/viewvc/docroot, as per Webapps Policy, section 3.1.
  * Updated the debian/patches subdirectory to remove patches no longer
    relevant to ViewVC 1.1.x and to update those that still apply.
  * debian/control:
    - Removed the dependency on gawk, as that was only required for Debconf
      configuration.
    - Demoted the dependency on mime-support to "Suggests": ViewVC can use
      it, if appropriately configured, but does not require it.
    - Added a suggestion for the python-tk package: viewvc-standalone(1)
      uses this when passed the "--gui" flag.
    - Modified all dependencies as appropriate.  Depend on httpd-cgi, not
      httpd, since the viewvc package needs a CGI server.  In addition,
      python-egenix-mxdatetime is no longer needed (since ViewVC 1.0.x).
    - Updated the XS-Python-Version field to "all" (Closes: #570573).
    - ViewVC 1.1.x supports only python-pygments as a syntax highlighter,
      not enscript.  Adjusted dependencies as appropriate.

  [ David Martínez Moreno ]


=== debian/control ===
Source: viewvc
Section: vcs
Priority: optional
Maintainer: David Martínez Moreno <ender@debian.org>
Build-Depends-Indep: python, python-subversion, dh-python
Build-Depends: debhelper (>= 9), quilt
Standards-Version: 3.9.5
X-Python-Version: all
Homepage: http://www.viewvc.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/viewvc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viewvc.git;a=summary

Package: viewvc
Architecture: all
Depends: python, ${python:Depends}, python-subversion, cvs | subversion, rcs, ${misc:Depends}
Recommends: python-pygments, apache2 | httpd-cgi
Suggests: cvsgraph, viewvc-query, libapache2-mod-python, python-tk, mime-support
XB-Python-Version: ${python:Versions}
Description: web interface for CVS and/or Subversion repositories
 ViewVC is a browser (web) interface for CVS and Subversion version
 control repositories.  It generates templatized HTML to present
 navigable directory, revision, and change log listings.  It can display
 specific versions of files as well as diffs between those versions.
 .
 Basically, ViewVC provides the bulk of the report-like functionality you
 expect out of your version control tool, but much more prettily than the
 average textual command-line program output.
 .
 ViewVC can be used in two modes, both of which are supported by this
 package: (1) by running the simple stand-alone server
 "viewvc-standalone", with or without a GUI, and/or (2) by integrating
 ViewVC with any CGI-enabled HTTP server like Apache or nginx.
 .
 Three different binaries are provided: FastCGI, WSGI (for Apache mod_python),
 and plain CGI.

Package: viewvc-query
Architecture: all
Depends: viewvc (= ${binary:Version}), python, python-mysqldb, ${python:Depends}, ${misc:Depends}
Suggests: mysql-server
XB-Python-Version: ${python:Versions}
Description: utility to query CVS and Subversion commit database
 ViewVC is a browser (web) interface for CVS and Subversion version
 control repositories.  It generates templatized HTML to present
 navigable directory, revision, and change log listings.  It can display
 specific versions of files as well as diffs between those versions.
 .
 This package includes query.cgi (and equivalent FastCGI and mod-python
 variants): a utility to query a separate CVS and Subversion commit database.
 You can search for multiple matches by typing comma-separated lists into the
 text fields.  Regular expressions and wildcards are also supported.  It
 requires a stand-alone MySQL database server.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://viewvc.tigris.org/servlets/ProjectDocumentList?folderID=6004 /files/documents/.*/viewvc-(.*)\.tar\.gz

## viewvc 1.1.26

=== debian/changelog ===
viewvc (1.1.26-1) unstable; urgency=medium

  * Mangle Debian version in debian/watch
  * New upstream version 1.1.26
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Jan 2017 22:49:18 +0500

viewvc (1.1.25+repack-1) unstable; urgency=medium

  * Update debian/watch
  * Add myself as a maintainer (Closes: 843441)
  * Modernize Build-Depends field
  * Use secure URLs for Vcs-Git and Vcs-Browser
  * Rearrange dependencies
  * Convert to machine-readable copyright
  * Suggest default-mysql-server, not mysql-server
  * New upstream version 1.1.25+repack
  * Remove unnecessary debian/README.source
  * Update README.Debian
  * Refresh patches
  * Remove obsolete debian/pycompat
  * Move INSTALL documentation to README.Debian
  * Bump Standards-Version to 3.9.8

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Nov 2016 00:02:12 +0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,32 @@
 Source: viewvc
 Section: vcs
 Priority: optional
-Maintainer: David Martínez Moreno <ender@debian.org>
-Build-Depends-Indep: python, python-subversion, dh-python
-Build-Depends: debhelper (>= 9), quilt
-Standards-Version: 3.9.5
+Maintainer: Lev Lamberov <dogsleg@debian.org>
+Build-Depends-Indep: python,
+                     python-subversion,
+                     dh-python
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 X-Python-Version: all
 Homepage: http://www.viewvc.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/viewvc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viewvc.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/viewvc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/viewvc.git/
 
 Package: viewvc
 Architecture: all
-Depends: python, ${python:Depends}, python-subversion, cvs | subversion, rcs, ${misc:Depends}
-Recommends: python-pygments, apache2 | httpd-cgi
-Suggests: cvsgraph, viewvc-query, libapache2-mod-python, python-tk, mime-support
+Depends: python,
+         ${python:Depends},
+         ${misc:Depends},
+         python-subversion,
+         cvs | subversion,
+         rcs
+Recommends: python-pygments,
+            apache2 | httpd-cgi
+Suggests: cvsgraph,
+          viewvc-query,
+          libapache2-mod-python,
+          python-tk,
+          mime-support
 XB-Python-Version: ${python:Versions}
 Description: web interface for CVS and/or Subversion repositories
  ViewVC is a browser (web) interface for CVS and Subversion version
@@ -36,8 +48,12 @@
 
 Package: viewvc-query
 Architecture: all
-Depends: viewvc (= ${binary:Version}), python, python-mysqldb, ${python:Depends}, ${misc:Depends}
-Suggests: mysql-server
+Depends: viewvc (= ${binary:Version}),
+         python,
+         ${python:Depends},
+         ${misc:Depends},
+         python-mysqldb
+Suggests: default-mysql-server
 XB-Python-Version: ${python:Versions}
 Description: utility to query CVS and Subversion commit database
  ViewVC is a browser (web) interface for CVS and Subversion version

=== debian/watch ===
version=4
         opts=s/.*\/v?([\d\.-]+)\.tar\.gz/viewvc-$1.tar.gz/,dversionmangle=s/\+repack// \
             https://github.com/viewvc/viewvc/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
